<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  PING送信URL一覧情報の取得
 *
 *  @access public
 */
function db_get_pings4ping_list()
{
    $sql = 'SELECT ping_id, url, mode, error_message, r_datetime' .
            ' FROM pb_pings' .
            ' ORDER BY ping_id';
    return pocket_db_getAll($sql);
}

/**
 *  PING送信URL情報の登録
 *
 *  @access public
 *  @param  string  $url                 URL
 *  @param  string  $mode                PING送信モード
 */
function db_insert_ping($url, $mode)
{
    $data = array(
        'url' => $url,
        'mode' => $mode,
        'r_datetime' => pocket_db_getNow()
    );
    return pocket_db_insert('pb_pings', $data, 'pb_pings_ping_id_seq');
}

/**
 *  PING送信URL情報の更新
 *
 *  @access public
 *  @param  integer $ping_id             ID
 *  @param  string  $url                 URL
 *  @param  string  $mode                PING送信モード
 *  @param  string  $error_message       エラーメッセージ
 */
function db_update_ping($ping_id, $url, $mode, $error_message)
{
    $data = array(
        'url' => $url,
        'mode' => $mode,
        'error_message' => $error_message,
        'r_datetime' => pocket_db_getNow()
    );
    $where = array(
        'ping_id' => intval($ping_id)
    );
    return pocket_db_update('pb_pings', $data, $where);
}

/**
 *  PING送信URL情報の削除
 *
 *  @access public
 *  @param  integer $ping_id           ID
 */
function db_delete_ping($ping_id)
{
    return pocket_db_delete('pb_pings', 'ping_id', intval($ping_id));
}

?>
