<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  メール情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configMailUpdateAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $email1 = $request['email1'];
        $email2 = $request['email2'];

        // メールアドレスの更新
        db_update_userEmail($_SESSION['user_id'], pocket_encrypt($email1, POCKET_BLOG_ENCRYPT_KEY));

        // メッセージの作成
        $params = array('msg' => 'メールアドレスを更新しました。');

        // リダイレクト
        pocket_redirect('configMail.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $email1 = $request['email1'];
        $email2 = $request['email2'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configMail';

        // 検証
        $validator->validate('email1', '新しいメールアドレス', $email1, 'email', true);
        $validator->validate('email2', '確認用メールアドレス', $email2, 'email', true);

        // 新しいメールアドレスと確認用メールアドレスの一致チェック
        if ($email1 != $email2)
        {
            $validator->addErrors('email1', '新しいメールアドレスと確認用メールアドレスが異なります。');
        }

        // ユーザ（メールアドレス）の存在チェック
        if (db_is_exist_user4email(pocket_encrypt($email1, POCKET_BLOG_ENCRYPT_KEY)))
        {
            $validator->addErrors('email1', '指定されたメールアドレスは既に登録されています。');
        }
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
