<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ブログ設定画面（管理）表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class configBlogAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // ブログ設定情報の設定
        $this->assign('blog_name'           , BLOG_NAME);
        $this->assign('blog_intro'          , BLOG_INTRO);
        $this->assign('banner_size'         , BANNER_SIZE);
        $this->assign('news_size'           , NEWS_SIZE);
        $this->assign('page_size'           , PAGE_SIZE);
        $this->assign('is_comment_approve'  , IS_COMMENT_APPROVE);
        $this->assign('is_comment_mail'     , IS_COMMENT_MAIL);
        $this->assign('is_trackback_approve', IS_TRACKBACK_APPROVE);
        $this->assign('is_trackback_mail'   , IS_TRACKBACK_MAIL);
        $this->assign('is_ping_auto'        , IS_PING_AUTO);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('blog_name'           , $request['BLOG_NAME']);
            $this->assign('blog_intro'          , $request['BLOG_INTRO']);
            $this->assign('banner_size'         , $request['BANNER_SIZE']);
            $this->assign('news_size'           , $request['NEWS_SIZE']);
            $this->assign('page_size'           , $request['PAGE_SIZE']);
            $this->assign('is_comment_approve'  , $request['IS_COMMENT_APPROVE']);
            $this->assign('is_comment_mail'     , $request['IS_COMMENT_MAIL']);
            $this->assign('is_trackback_approve', $request['IS_TRACKBACK_APPROVE']);
            $this->assign('is_trackback_mail'   , $request['IS_TRACKBACK_MAIL']);
            $this->assign('is_ping_auto'        , $request['IS_PING_AUTO']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'ブログ設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
